Subject: bug#6636: 24.0.50; special dired feature confuse all dired commands.

From: "Drew Adams" <[email-masked]>
Date: Sat, 17 Jul 2010 14:06:29 -0700

> > The is in `dired-buffers-for-dir'.  It has this code:
> >
> > (file-name-non-directory dired-directory)
> >
> > This is wrong. `dired-directory' has every right to be a cons, as it
> > is in this case.
> >
> > Function `dired-buffers-for-dir' was introduced in 23.1, 
> > creating this regression wrt Emacs 22.3 and prior releases.
> 
> I see the bug, but I don't know where you got the idea that this is a
> regression.

Hm. I don't know either! I must have looked wrong. My bad.

I've had a fix for this in my own code (dired+.el) since 2000, so I might have
gotten confused somehow.  (Actually, I think I just forgot to first use Dired,
when checking whether the function was defined in emacs -Q for 22.3!)

> I'll check in a fix.

Thanks.